Bug 169400 - Traceback when system has existing 3 disk software RAID5 stripe
Traceback when system has existing 3 disk software RAID5 stripe
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-09-27 17:28 EDT by ted M. Johnson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHEL5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-05 14:06:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anacdump.txt from current failure (60.42 KB, text/plain)
2005-09-27 17:35 EDT, ted M. Johnson
no flags Details

  None (edit)
Description ted M. Johnson 2005-09-27 17:28:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
When installing RHEL4 on a system with a preexisting RAID5 stripe, I get tracebacks to fsset.py line 184 (error "RAID 5 requires at least 3 online members").

I am not configuring the RAID5 in any way for RedHat. I will attach the anacdump file

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. boot system
2. try to configure disks with Disk Druid

Actual Results:  Crash, regardless of configuration of partitions for RedHat.

Expected Results:  RedHat to completly ignore paritions which are not mounted/formatted/added to the RedHat install.

Additional info:
Comment 1 ted M. Johnson 2005-09-27 17:35:29 EDT
Created attachment 119329 [details]
anacdump.txt from current failure
Comment 2 Chris Lumens 2007-04-05 14:06:07 EDT
This is fixed in RHEL5.  If you need a fix in an update release of RHEL4, please
contact your support representative who will raise the issue through the
appropriate support channels.  Thanks for the bug report.

Note You need to log in before you can comment on or make changes to this bug.